VAT
Introduction
The cURL command is a POST request to the Signzy API v2, which is used to validate and retrieve information related to VAT (Value Added Tax) numbers of a company. The API allows patrons to search for VAT numbers using their unique patron ID and an access token for authentication.
Sample Curl
curl --request POST \
--url https://signzy.tech/api/v2/patrons/..your-patron-id../vats \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"essentials":{"vatNumber":".....company'\''s-vat-to-search-for...."}}'Parameter | Description |
|---|---|
patron-id | A unique ID of the patron that is authorized to access the API endpoint. Replace the {patron-id} placeholder in the API endpoint URL with the actual ID of the patron. |
Access-Token | An access token used for authentication of the patron making the request. The access token should be provided in the "Authorization" header of the request. |
Accept | The type of response content that the client expects. The value of this header is set to */* to indicate that any type of content is acceptable. |
Accept-Language | The preferred language of the client for the response. The value of this header is set to en-US, en;q=0.8 to indicate that the client prefers the English language with a preference value of 0.8. |
content-type | The format of the request body. The value of this header is set to application/json to indicate that the request body is in JSON format. |
vatNumber | The VAT (Value Added Tax) number of the company that the patron is searching for. This parameter should be provided in the "essentials" property of the request body, which is itself an object |
Sample Response
{
"result": [{
"cstStatus": "...cstStatus...",
"pan": "...pan...",
"status": "...status...",
"ownerName": "...ownerName...",
"dealer": "...dealer...",
"address": "...address...",
"regDate": "...regDate...",
"cancelDate": "...cancelDate...",
"splitAddress": {
"district": [
"...district..."
],
"state": [
[
"...state..."
]
],
"city": [
"...city..."
],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine...",
}
}]
}Parameter | Description |
|---|---|
cstStatus | The CST (Central Sales Tax) status of the dealer as per the response. |
pan | The PAN (Permanent Account Number) of the dealer as per the response. |
status | The registration status of the dealer as per the response. |
ownerName | The name of the owner of the dealer as per the response. |
dealer | The name of the dealer as per the response. |
address | The complete address of the dealer as per the response. |
regDate | The registration date of the dealer as per the response. |
cancelDate | The cancellation date of the dealer as per the response. |
district | The district of the dealer's address as per the response. |
states | The state of the dealer's address as per the response. |
city | The city of the dealer's address as per the response. |
pincode | The pincode of the dealer's address as per the response. |
country | The country of the dealer's address as per the response. |
address Line | The line-wise address of the dealer as per the response. |